## Plot sRGB and Adobe RGB against L

tonal.scales <- sRGB.gamma.curve
tonal.scales$name <- 'sRGB'
tonal.scales <-
  rbindlist(use.names=TRUE,
            list(
              tonal.scales,
              # Adobe tonal scale
              data.table(x=sRGB.gamma.curve$x,
                         y=sRGB.gamma.curve$x^(1/2.19921875),
                         name='Adobe RGB'),
              # Prophoto tonal scale
              data.table(x=ProPhoto.gamma.curve$x,
                         y=ProPhoto.gamma.curve$y,
                         name='ProPhoto')
            ))

tonal.scales$x <- L.Lab.from.linear(tonal.scales$x)

# Plot with log(x)

x11()
ggplot(tonal.scales, aes(log10(x),y, color=name, group=name)) +
  geom_line() +
  labs(color='Tonal Scale') +
  ggtitle('Tonal scale vs L') +
  xlab('L tonal scale') +
  ylab('Adobe and sRGB tonal scale') +
  scale_y_continuous(breaks=seq(0,1,0.1), labels=percent) +
  scale_x_continuous(labels=label.pow10.plus.percent)

# Natural Plot

x11()
ggplot(tonal.scales, aes(x/100, y, color=name, group=name)) +
  geom_line() +
  labs(color='Tonal Scale') +
  ggtitle('Tonal scale vs L') +
  xlab('L tonal scale') +
  ylab('Adobe and sRGB tonal scale') +
  scale_y_continuous(breaks=seq(0,1,0.1), labels=percent) +
  scale_x_continuous(labels=percent) +
  geom_abline(linetype='dashed', color='#707070')
